import { OnChanges, SimpleChanges } from '@angular/core';
import { HeEngineService, IOrchestratorConfig, IOrchestratorModelConfig } from '../engine.service';
import * as i0 from "@angular/core";
export declare class EngineOrchestratorEditComponent implements OnChanges {
    private hestiaEngineService;
    config?: IOrchestratorConfig;
    private nodeType?;
    generalDocsUrl: string;
    strategiesDocs: string;
    constructor(hestiaEngineService: HeEngineService);
    ngOnChanges(changes: SimpleChanges): Promise<void>;
    private loadDefaultConfig;
    isArray(config: any): boolean;
    modelLink$({ model, value }: IOrchestratorModelConfig): import("rxjs").Observable<import("../engine.service").IModel>;
    modelPathLink$({ model, value }: IOrchestratorModelConfig): import("rxjs").Observable<import("../engine.service").IModel>;
    get configUrl(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<EngineOrchestratorEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EngineOrchestratorEditComponent, "he-engine-orchestrator-edit", never, { "config": "config"; "nodeType": "nodeType"; }, {}, never, never>;
}
